Subject: Re: [PATCH 6/8] commit-graph: introduce `ensure_generations_valid()`

From: Taylor Blau <[email-masked]>
Date: Mon, 6 Mar 2023 19:50:39 -0500

On Mon, Mar 06, 2023 at 10:52:20AM -0800, Junio C Hamano wrote:
> "Taylor Blau via GitGitGadget" <[email-masked]> writes:
>
> > From: Taylor Blau <[email-masked]>
> >
> > Use the just-introduced compute_reachable_generation_numbers_1() to
> > implement a function which dynamically computes topological levels (or
> > corrected commit dates) for out-of-graph commits.
> >
> > This will be useful for the ahead-behind algorithm we are about to
> > introduce, which needs accurate topological levels on _all_ commits
> > reachable from the tips in order to avoid over-counting.
>
> Interesting and nice to see it done with so small a change thanks to
> the previous refactoring.

Stolee did all of the hard work ;-). But chiming in to say that I
remember all of these changes well and they look faithful to my original
read of them (as well as what I wrote in this patch).

So, LGTM so far.

Thanks,
Taylor